For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get contact list memberships

Get contact list memberships

get
/workspaces/{workspaceId}/contacts/{contactId}/lists

This endpoint will return a list of lists a contact is a member of.

Authorizations
AuthorizationstringRequired

An access token issued to a user.

Path parameters
workspaceIdstring · uuidRequired

The unique identifier of the workspace.

contactIdstringRequired

The ID of a contact.

Example: b4e02c85-c6d2-4b15-8885-e09671799c61
Responses
200

A list of lists was returned. The list can be empty if no lists are found.

application/json
nextPageTokenstringOptional

The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.

get/workspaces/{workspaceId}/contacts/{contactId}/lists

Examples

Let's establish some of our data that will be used in the following examples:

  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352

  • AccessKey: abcd

  • List ID: 123e4567-e89b-12d3-a456-426614174000

  • Contact ID: 12bd0e40-9361-4e32-8b26-99b4ab7eae09

Get the lists a contact is assigned to

In this example, we're listing all the lists a contact is assigned to given a contact ID.

Last updated

Was this helpful?